/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.scripting.executor.groovy;

import com.liferay.portal.kernel.model.Address;
import com.liferay.portal.kernel.model.Contact;
import com.liferay.portal.kernel.service.AddressLocalServiceUtil;

/**
 * @author Michael C. Han
 */
class GroovyAddress {

	GroovyAddress(
		GroovyUser groovyUser, String street1_, String city_, String zip_,
		long countryId_, int typeId_) {

		this(
			groovyUser.user.getUserId(), Contact.class.getName(),
			groovyUser.user.contact.getContactId(), street1_, city_, zip_, 0,
			countryId_, typeId_, true, true);
	}

	GroovyAddress(
		long userId_, String className_, long classPK_, String street1_,
		String city_, String zip_, long regionId_, long countryId_, int typeId_,
		boolean mailing_, boolean primary_) {

		userId = userId_;
		className = className_;
		classPK = classPK_;
		street1 = street1_;
		city = city_;
		zip = zip_;
		regionId = regionId_;
		countryId = countryId_;
		typeId = typeId_;
		mailing = mailing_;
		primary = primary_;
	}

	void create(GroovyScriptingContext groovyScriptingContext) {
		address = AddressLocalServiceUtil.addAddress(
			userId, className, classPK, street1, "", "", city, zip, regionId,
			countryId, typeId, true, true,
			groovyScriptingContext.serviceContext);
	}

	Address address;
	String city;
	String className;
	long classPK;
	long countryId;
	boolean mailing;
	boolean primary;
	long regionId;
	String street1;
	int typeId;
	long userId;
	String zip;

}